unit CadCartaCorrecao;

interface

uses
  Windows, System.UITypes, IB_Access, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, IB_Components,
  StdCtrls, IB_Grid, Buttons, IB_Controls, Mask, UCBase, ImgList, AppEvnts,
  ExtCtrls, Grids, ComCtrls, jpeg, cxGraphics, cxLookAndFeels,
  cxLookAndFeelPainters, Menus, cxButtons, IB_EditButton, System.ImageList,
  dxSkinsCore, dxSkinOffice2010Blue;

type
  TfrmCadCartaCorrecao = class(TFrModeloCadastro)
    btnImprimir: TBitBtn;
    IB_Edit2: TIB_Edit;
    IB_Edit1: TIB_Edit;
    IB_Edit3: TIB_Edit;
    qrItemCartaCorrecao: TIB_Query;
    dsrItemCartaCorrecao: TIB_DataSource;
    IB_Grid1: TIB_Grid;
    Label3: TLabel;
    btnTransmitir: TcxButton;
    IB_Edit4: TIB_Edit;
    IB_Edit5: TIB_Edit;
    procedure btnImprimirClick(Sender: TObject);
    procedure AtualizaTela;
    procedure BtEditarClick(Sender: TObject);
    procedure BtExcluirClick(Sender: TObject);
    procedure BtAnteriorClick(Sender: TObject);
    procedure BtProximoClick(Sender: TObject);
    procedure btnEditar2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnTransmitirClick(Sender: TObject);
    procedure BtInserirClick(Sender: TObject);
    procedure MostraBotoes;
    procedure BtGravarClick(Sender: TObject);
    procedure BtCancelarClick(Sender: TObject);


  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadCartaCorrecao: TfrmCadCartaCorrecao;

implementation

uses DataModulo,Rotinas, DataModulo_NFe;

{$R *.dfm}
procedure TfrmCadCartaCorrecao.MostraBotoes;
begin
  btnImprimir.Visible   := btExcluir.Visible;
  btnTransmitir.Visible := btExcluir.Visible;
end;

procedure TfrmCadCartaCorrecao.AtualizaTela;
begin
   MostraBotoes;

   qrItemCartaCorrecao.Close;
   qrItemCartaCorrecao.ParamByName('CodCarta').Value       := TbPrincipal.FieldByName('COD_CARTA_CORRECAO').Value ;
   qrItemCartaCorrecao.ParamByName('codFilialCarta').Value := TbPrincipal.FieldByName('COD_FILIAL_GERACAO').Value ;
   qrItemCartaCorrecao.Open;
end;

procedure TfrmCadCartaCorrecao.btnImprimirClick(Sender: TObject);
begin
  inherited;
  Dados.script.sql.Clear;
  Dados.script.sql.Add(' UPDATE PARAMETRO_RELATORIO SET PARAMETRO_RELATORIO.INTEIRO_1 = ' + TbPrincipal.FieldByName('COD_CARTA_CORRECAO').AsString     + ' ; ');
  Dados.script.sql.Add(' UPDATE PARAMETRO_RELATORIO SET PARAMETRO_RELATORIO.INTEIRO_2 = ' + TbPrincipal.FieldByName('COD_FILIAL_GERACAO').AsString     + ' ; ');
  Dados.script.sql.Add(' update PARAMETRO_RELATORIO set PARAMETRO_RELATORIO.string_1 = '  + QuotedStr( Dados.tbConfig.FieldByName('LOCAL_IMAGENS').AsString+'cabecalho.jpg' )+ ' ; ');
  Dados.script.sql.Add(' update PARAMETRO_RELATORIO set PARAMETRO_RELATORIO.string_2 = '  + QuotedStr( Dados.qrFilial.FieldByName('RAZAO_SOCIAL').AsString )+ ' ; ');
  Dados.script.Execute;
  ImprimeRelatorio('CARTA_CORRECAO',True,True,'');
end;

procedure TfrmCadCartaCorrecao.BtEditarClick(Sender: TObject);
begin
  inherited;
   AtualizaTela;
end;

procedure TfrmCadCartaCorrecao.BtExcluirClick(Sender: TObject);
begin
   MessageDlg('Não permitido', mtWarning, [mbOK], 0);
   Exit;

  inherited;
end;

procedure TfrmCadCartaCorrecao.BtGravarClick(Sender: TObject);
begin
  inherited;
  AtualizaTela;
end;

procedure TfrmCadCartaCorrecao.BtInserirClick(Sender: TObject);
begin
  inherited;
  AtualizaTela;
end;

procedure TfrmCadCartaCorrecao.BtAnteriorClick(Sender: TObject);
begin
  inherited;
  AtualizaTela;
end;

procedure TfrmCadCartaCorrecao.BtCancelarClick(Sender: TObject);
begin
  inherited;
  AtualizaTela;
end;

procedure TfrmCadCartaCorrecao.BtProximoClick(Sender: TObject);
begin
  inherited;
  AtualizaTela;
end;

procedure TfrmCadCartaCorrecao.btnEditar2Click(Sender: TObject);
begin
   MessageDlg('Não permitido', mtWarning, [mbOK], 0);
   Exit;
  inherited;

end;

procedure TfrmCadCartaCorrecao.FormCreate(Sender: TObject);
begin
  TbPrincipal.ParamByName('codfilial').Value := Dados.qrFilial.FieldByName('COD_FILIAL').Value;
  inherited;

end;

procedure TfrmCadCartaCorrecao.btnTransmitirClick(Sender: TObject);
begin
  inherited;
  DMNFE := TDMNFE.Create(Self) ;
  DMNFE.NFe_CartaCorrecaoEletronica(  TbPrincipal.FieldByName('COD_TABELA_CORRIGIDA').Value
                                    , TbPrincipal.FieldByName('COD_FILIAL_TABELA_CORIGIDA').Value
                                    , TbPrincipal.FieldByName('COD_CARTA_CORRECAO').Value
                                    , TbPrincipal.FieldByName('COD_FILIAL_GERACAO').Value
                                   );

  DMNFE.Destroy;
  btnImprimir.Click;

end;

end.
